| IITkaGyan v0.9 A platform for students to ask their doubts to IITians directly...

Public Member Functions | Static Public Attributes | List of all members
gyans.models.Comment Class Reference
Inheritance diagram for gyans.models.Comment:

## Public Member Functions
def | __str__ (self)

## Static Public Attributes
| author = models.ForeignKey(User, on_delete=models.SET_NULL, null=True)
| answer = models.ForeignKey('Answer', on_delete=models.SET_NULL, null=True)
| comment_text
| date_created = models.DateField(default=timezone.now())
| date_updated = models.DateField(default=timezone.now())

## Detailed Description

    Model representing a Comment.

## Member Function Documentation

## ◆ __str__()

def gyans.models.Comment.__str__ | ( |  | self | ) |

    String for representing the Model object.

## Member Data Documentation

## ◆ answer

gyans.models.Comment.answer = models.ForeignKey('Answer', on_delete=models.SET_NULL, null=True)
| static

## ◆ author

gyans.models.Comment.author = models.ForeignKey(User, on_delete=models.SET_NULL, null=True)
| static

## ◆ comment_text

gyans.models.Comment.comment_text
| static

Initial value:
= models.TextField(
max_length=1000, help_text='Enter your comment...')

## ◆ date_created

gyans.models.Comment.date_created = models.DateField(default=timezone.now())
| static

## ◆ date_updated

gyans.models.Comment.date_updated = models.DateField(default=timezone.now())
| static

The documentation for this class was generated from the following file:

- IITKaGyan/gyans/models.py